System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException

If this exception is not caught, it is presented to the user as a warning message. In the constructor, you can specify the Help file and Help topic to display if the user requests more information.

Specifies an exception that is handled as a warning instead of an error.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified message and no Help file.

  The message to display to the end user.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified serialization data and context.

  The to be used for deserialization.
  The destination to be used for deserialization.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified detailed description and the specified exception.

  A detailed description of the error.
  A reference to the inner exception that is the cause of this exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified message, and with access to the specified Help file.

  The message to display to the end user.
  The Help file to display if the user requests help.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified message, and with access to the specified Help file and topic.

  The message to display to the end user.
  The Help file to display if the user requests help.
  The Help topic to display if the user requests help.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets the with the parameter name and additional exception information.

  Stores the data that was being used to serialize or deserialize the object that the was serializing or deserializing. Describes the source and destination of the stream that generated the exception, as well as a means for serialization to retain that context and an additional caller-defined context.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the Help topic associated with the warning.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the Help file associated with the warning.